smtpd_banner = $myhostname ESMTP $mail_name (Debian)
biff = no

# appending .domain is the MUA's job.
append_dot_mydomain = no

# Uncomment the next line to generate "delayed mail" warnings
#delay_warning_time = 4h

readme_directory = no

#openssl req -new -x509 -nodes -out /etc/ssl/certs/ssl-mail.pem -keyout /etc/ssl/private/ssl-mail.key -days 3650

# TLS parameters
#openssl req -x509 -nodes -days 365 -newkey rsa:2048 -keyout /etc/ssl/private/mail.key -out /etc/ssl/certs/mailcert.pem
smtpd_tls_cert_file = /etc/ssl/certs/ssl-mail.pem
smtpd_tls_key_file = /etc/ssl/private/ssl-mail.key
smtpd_use_tls = yes
smtpd_tls_session_cache_database = btree:${data_directory}/smtpd_scache
smtp_tls_session_cache_database = btree:${data_directory}/smtp_scache


myhostname = __MAIN_HOSTNAME__

alias_maps = hash:/etc/aliases
alias_database = hash:/etc/aliases
mydestination = localhost.localdomain,  localhost, __MAIN_HOSTNAME__
#mynetworks = 0.0.0.0

#mailbox_command = /usr/bin/procmail -o -a $DOMAIN -d $LOGNAME
mailbox_command = /usr/bin/procmail  -a $USER

mailbox_size_limit = 0
recipient_delimiter = +
inet_interfaces = all
home_mailbox = Maildir/
smtpd_sasl_auth_enable = yes
smtpd_sasl_type = dovecot
smtpd_sasl_path = private/auth
smtpd_sasl_authenticated_header = yes
smtpd_sasl_local_domain = $myhostname
broken_sasl_auth_clients = no



smtpd_sender_restrictions = reject_unknown_sender_domain
smtp_use_tls = yes
smtpd_tls_received_header = yes
smtpd_tls_mandatory_protocols = SSLv3, TLSv1
smtpd_tls_mandatory_ciphers = medium
smtpd_tls_auth_only = yes
tls_random_source = dev:/dev/urandom
allow_percent_hack = no

default_destination_recipient_limit = 600
maximal_queue_lifetime = 53
maximal_backoff_time = 6000s
default_destination_concurrency_limit = 30
smtp_connect_timeout = 50s
fallback_relay = 

queue_directory = /var/spool/postfix

local_recipient_maps = proxy:unix:passwd.byname $alias_maps

message_size_limit = 52428800

#DKIM SETUP
milter_protocol = 2
milter_default_action = accept
smtpd_milters = inet:localhost:12301 
non_smtpd_milters = inet:localhost:12301
#/DKIM SETUP


##VIRTUAL USERS:
#virtual_alias_domains = __MAIN_HOSTNAME__
#virtual_alias_maps = hash:/etc/postfix/virtual
